Subject: [Roll] When to reset the Trickle timer?

From: Joakim Eriksson <[email-masked]>
Date: Thu, 18 Feb 2010 18:21:00 +0100

Hello,

First a technical question:

While I was studying our RPL implementation on a small network
I saw that the root node was resetting its Trickle timer many
timer before it got to send a single message.

This behavior is caused when many nodes starts simultaneously
and starts sending DIS messages (multicase). The root receives
these messages and resets its Trickle timer each time. It seems
like it resets more than 10 times before getting a message sent.

One very simple solution would be to avoid resetting the timer if
it is already at its lowest interval and did not yet trigger T.
Possibly with the addition that it also should reset its C to
ensure that any packet that was sent by someone else before the
DIS request is ignored.

Then a textual/readability statement:

The new rpl-06 specification is much easier to read, but there are
still things that can be confusing, such as:
5.3.5:
- reset the interval of the trickle timer to its minimum value
- reset the trickle timer to its minimum value
- reset the trickle timer

It is easy to get a feeling that there are multiple ways of resetting
the trickle timer.

I would suggest only saying "reset the trickle timer" everywhere except
in the section describing the way to reset the timer (5.3.5.1.1).

Best regards,
-- Joakim Eriksson, SICS

---

From: Jonathan Hui <[email-masked]>
Date: Thu, 18 Feb 2010 09:40:41 -0800

In general, we've found it best not to pick a new T if I is already at  
I_min, regardless of what the Trickle timer is driving.  Resetting C  
doesn't have that much effect - little enough that it could be  
considered implementation dependent.  But I agree that the text should  
be more clear about what it means to reset I.

--
Jonathan Hui

On Feb 18, 2010, at 9:21 AM, Joakim Eriksson wrote:

> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll